from django.contrib import admin
from nested_admin import NestedModelAdmin
from .models import *
# Register your models here.


@admin.register(Carousel)
class CarouselAdmin(NestedModelAdmin):
    model = Carousel
    list_display = ['id', 'user_type', 'heading',
                    'description', 'link', 'is_deleted']


@admin.register(Advertisement)
class AdvertisementAdmin(NestedModelAdmin):
    model = Advertisement
    list_display = ['id', 'user_type', 'image_type', 'link', 'is_deleted']


@admin.register(Block)
class BlockAdmin(NestedModelAdmin):
    model = Block
    list_display = ['id', 'user_type', 'heading',
                    'link', 'description', 'is_deleted']


@admin.register(Visitor_Home)
class Visitor_HomeAdmin(NestedModelAdmin):
    model = Visitor_Home
    list_display = ['id', 'user_type', 'heading',
                    'description', 'link', 'background_colour', 'is_deleted']


@admin.register(Partner_Sponser_Logo)
class Partner_Sponser_LogoAdmin(NestedModelAdmin):
    model = Partner_Sponser_Logo
    list_display = ['id', 'logo', 'text',
                    'link',  'is_deleted']
