from django.urls import path, include
from .views import *


invoice_urls = [
    path("invoice-category/<str:method>/<str:mode>", InvoiceCategoryAPIView.as_view()),
    path("invoice/<str:method>", InvoiceDocumentAPIView.as_view()),
    path("invoice-comments", InvoiceCommentAPIView.as_view()),
    path("generate-pdf", GeneratePdfAPIView.as_view()),
    path("invoice-category-get-code/<str:code>", GetInvoiceCategoryFromCodeAPIView.as_view()),
    path("get-user-from-code/<str:user_code>", GetUserDatafromUserCode.as_view()),
    path("user-code-auto-complete/<str:method>/<str:data>", GetUserDataAutoCompleteAPIView.as_view()),
    path("invoice-category-auto-complete/<str:method>/<str:data>", GetInvoiceCategoryAutoCompleteAPIView.as_view())
    
]

urlpatterns = [
    path('', include(invoice_urls)),
]
