from nested_admin import NestedModelAdmin
from django.contrib import admin
from .models import *

# Register your models here.

@admin.register(MessagesInbox)
class MessagesInboxAdmin(NestedModelAdmin):
    model        = MessagesInbox
    search_fields = ['sender']
    list_display = ['id', 'message','created_at', 'updated_at']
    


@admin.register(Notification)
class NotificationAdmin(NestedModelAdmin):
    model        = Notification
    search_fields = ['user']
    list_display = ['id','category', 'subject', 'body', 'created_at','is_read','recipient']
