from django.contrib import admin
from nested_admin import NestedModelAdmin
from .models import *

# Register your models here.


@admin.register(Salesman)
class SalesmanAdmin(NestedModelAdmin):
    model = Salesman
    search_fields = ['first_name']
    list_display = ['id', 'first_name', 'last_name', 'vat',
                    'mobile', 'user_code', 'is_deleted', 'created_at', 'updated_at']
