from django.contrib import admin
from nested_admin import NestedModelAdmin
from .models import *
# Register your models here.


class AdvertiserProfileAdmin(NestedModelAdmin):
    model = Advertiser
    search_fields = ['first_name']
    list_display = ['id', 'first_name', 'middle_name',
                    'last_name', 'email', 'is_deleted', 'user_code']


admin.site.register(Advertiser, AdvertiserProfileAdmin)
admin.site.register(AdvertiserDailyTiming)
