from nested_admin import NestedModelAdmin
from django.contrib import admin
from .models import *


# Register your models here.


@admin.register(InvoiceCategories)
class InvoiceCategoriesAdmin(NestedModelAdmin):
    model = InvoiceCategories
    list_display = ['id', 'code', 'description']



@admin.register(InvoiceItems)
class InvoiceItemsAdmin(NestedModelAdmin):
    model = InvoiceItems
    list_display = ['id']


@admin.register(InvoiceDocument)
class InvoiceDocumentAdmin(NestedModelAdmin):
    model = InvoiceDocument
    list_display = ['id']



@admin.register(InvoiceComment)
class InvoiceCommentAdmin(NestedModelAdmin):
    model = InvoiceComment
    list_display = ['id','invoice_document']

