from django.urls import path, include
from .views import *


auth_urls = [
    path('delete_message', DeleteMessageAPIView.as_view(), name="MEs"),
    path('message_compose', ComposeMessageAPIView.as_view()),
    path('message_storage', MessageStorageAPIView.as_view()),
    path('notifications', GetNotificationsAPIView.as_view()),
    path('notification_read', NotificationReadAPIView.as_view()),
    path('get_emailadd', GetNameEmailAPIView.as_view()),
    path('get_message', GetMessageActionAPIView.as_view()),
    path('get_message_details', GetMessageAPIView.as_view())


]


urlpatterns = [
    path('', include(auth_urls)),
]
