from django.urls import path, include
from .views import *

auth_urls = [

    path('register', WebRegistrationAPIView.as_view()),
    path('resend_email', ResendEmailAPIView.as_view()),
    path("token",EmailRegisterationValidateAPIView.as_view(),name="email_verify_token"),

    path("forgot_password",ResetPasswordMailAPIView.as_view()),
    path("reset_password",ResetPasswordAPIView.as_view()),
    path("confirm_password_token",ConfirmTokenResetPasswordAPIView.as_view()),

    path("login",LoginAPIView.as_view()),
    path("logout",LogoutAPIView.as_view()),

    path("email_token/<str:mode>/<str:keytoken>",ConfirmEmailTokenAPIView.as_view(),name="Email_change_token"),
    
    
    path("mobile_change",ChangeMobileAPIVIEW.as_view(),name="Change mobile Number"),
    path("mobile_verify",VerifyMobileAPIVIEW.as_view(),name="Verify mobile Number"),

    path("verify_token",VerifyUserAPIView.as_view(),name="Verify Token"),

    path("verify_private_key",PrivateKeyVerifyAPIView.as_view(),name="Verify Private Key")  # For registeration



]

urlpatterns = [
    path('', include(auth_urls)),
]
