from django.urls import path, include
from .views import *

professional_urls = [
    path('profile', GetProfessionalAPIView.as_view()),
    path('profile/add', POSTProfessionalAPIView.as_view()),
    # path('createpassword', CreatePassword.as_view()),

    path('service_image', serviceImageAPIView.as_view()),
    # Delete Service Image
    path('delete_service', DeleteServiceImageAPIView.as_view()),
    path('service_data', ServiceDataAPIView.as_view()),

    path('get-service-skill', GetServiceSkillAPIView.as_view()),
    path('get-professional-service', GetProfessionalServiceAPIView.as_view()),
    path('add-service-cost', AddProfessionalServiceCostAPIView.as_view()),
    path('get-availability-table', GetSkillsAvailabilityAPIView.as_view()),
    path('post-availability-table', SaveSkillsAvailabilityAPIView.as_view()),

    path('delete_servedarea', DeleteServeAreaAPIView.as_view()),

    path('skills', SkillsSelectAPIView.as_view()),
    path('delete_skill', SkillDeleteAPIView.as_view()),

    path('documents', DocumentsAPIView.as_view()),
    path('contract', ProfessionalConListView.as_view()),
    path('contract/<int:pk>', ProfessionalConDetailView.as_view()),
    path('certificate', CertificateAPIView.as_view()),
    path('delete_certificate', CertificateDeleteAPIView.as_view()),

    path('my_skills', MySkillsAPIView.as_view()),

    path('get_fav', FavGETAPIView.as_view()),
    path('add_fav', FavAddAPIView.as_view()),
    path('delete_fav', FavDeleteAPIView.as_view()),

    path('global', GlobalGETAPIView.as_view()),

    path('add_certificate', CertificateAddAPIView.as_view()),

    path('profile_card', GetProfessionalCardAPIView.as_view()),
    path('profile_details', GetProfessionalAPIView.as_view()),






]

urlpatterns = [
    path('', include(professional_urls)),
]
