from django.urls import path, include
from .views import *

auth_urls = [
    path('', ReviewAPIView.as_view()),
    path('add_review', ReviewAddAPIView.as_view()),
    path('delete_review', ReviewDeleteAPIView.as_view()),
    path('get_review', GetReviewAndRatingAPIView.as_view()),
    path('post_review', PostReviewAndRatingAPIView.as_view()),
    path('post_professional_review', ProfessionalPostReviewAndRatingAPIView.as_view()),
    path('get_professional_review', ProfessionalGetReviewAndRatingAPIView.as_view()),
]

urlpatterns = [
    path('', include(auth_urls)),
]
