from rest_framework import status
from rest_framework.response import Response
from rest_framework.authtoken.models import Token

from django.db import transaction

from platform_central.models import PlatformApiCall

from django.contrib.auth.models import User


class PlatformAPICallMixin(object):
	""" add platform requested API information """
	@transaction.atomic
	def add_api_call(self, request, response):

		requested_url  = request._request.get_full_path()
		requested_data = request.data
		responsed_data = response

		# try:
		# 	user = User.objects.get(pk=request.user.pk)
		# except (User.DoesNotExist, TypeError):
		# 	user = ''

		try:
			# case server 200.000.02.001
			client_address = request.META['HTTP_X_FORWARDED_FOR']
		except:
			# case localhost ou 127.0.0.1
			client_address = request.META['REMOTE_ADDR']

		# platform_api_call = PlatformApiCall(requested_url=requested_url, requested_data=requested_data, response_data=responsed_data, client_ip_address=client_address)

		# if not request.user.is_anonymous:
		# 	platform_api_call.user = request.user

		# platform_api_call.save()